UserTypes.Literal (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class UserTypes.Literal

- java.lang.Object
- - org.apache.cassandra.cql3.UserTypes.Literal

- All Implemented Interfaces:
    AssignementTestable, Term.Raw
  Enclosing class:
    UserTypes

      public static class UserTypes.Literal
      extends java.lang.Object
      implements Term.Raw

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<ColumnIdentifier,Term.Raw>` | `entries`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTypes.Literal(java.util.Map<ColumnIdentifier,Term.Raw> entries)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAssignableTo(java.lang.String keyspace, ColumnSpecification receiver)`
    `Term` | `prepare(java.lang.String keyspace, ColumnSpecification receiver)` This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### entries

          public final java.util.Map<ColumnIdentifier,Term.Raw> entries

  - ### Constructor Detail

    - #### UserTypes.Literal

          public UserTypes.Literal(java.util.Map<ColumnIdentifier,Term.Raw> entries)

  - ### Method Detail

    - #### prepare

          public Term prepare(java.lang.String keyspace,
                     ColumnSpecification receiver)
                       throws InvalidRequestException

      Description copied from interface: `Term.Raw`
      This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
      Specified by:
        `prepare` in interface `Term.Raw`
        `receiver` - the "column" this RawTerm is supposed to be a value of. Note that the ColumnSpecification may not correspond to a real column in the case this RawTerm describe a list index or a map key, etc...
      Returns:
        the prepared term.
      Throws:
        `InvalidRequestException`

    - #### isAssignableTo

          public boolean isAssignableTo(java.lang.String keyspace,
                               ColumnSpecification receiver)

      Specified by:
        `isAssignableTo` in interface `AssignementTestable`
      Returns:
        whether this object can be assigned to the provided receiver

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation